<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>ToDoApp</title>
</head>
<style> table#list_buku{
    width: 90%;
    margin-left: auto;
    margin-right: auto;
    border: 1px solid black;
    border-collapse: collapse;
    margin-top: 10%;
    background-color: rgb(255, 255, 255)
    }
    .hide{
    display:none;
}
    label{
        font-size: 70%;
        margin-left: 5%;
    }
    label.validation-error{
    color:   red;
    margin-left: 10%;
}
    h1#page{
        font-size: 200%;
        text-align: center;
        border-radius: 10px;
    }
    th,td{
        border: 1px solid black;
        border-collapse: collapse;
        text-align: center;
    }
    td{
        font-size: 100%;
        border: 1px solid black;
        border-collapse: collapse;
        text-align: center;
    }
    body{
        background-color: rgb(216, 208, 196);
    }
    form{
    position: fixed;
    bottom: 0;
    }
    input[type=text] {
	    width: 90%;
	    margin-left: 5%;
	    display: inline-block;
	    border: 1px solid #ccc;
	    border-radius: 4px;
	    box-sizing: border-box;
	}

    input[type=submit]{
	    width: 90%;
	    margin-left: 5%;
        margin-right: 5%;
	    height:35px;
	    color:black;
	    border: 1px solid #ccc;
	    border-radius: 4px;
    }
</style>
<body>
   
    <header><h1 id="page">Perpus Kakak IT</h1></header>
    <table class="list" id="list_buku">  
       <thead> <tr>
            <th colspan="4">Tabel Perpus Kakak It</th>
        </tr>
    </thead>
        <thead>
        <tr>
            <col width=40%>
            <col width=30%>
            <col width=20%>
            
            <th>Judul</th>
            <th>Penulis</th>
            <th>Tahun Terbit</th>
            <th>Action</th>
        </tr>
    </thead>
    </table>

</body>
<footer>
    <form onsubmit="event.preventDefault();onFormSubmit();" autocomplete="off">
        <label class="validation-error hide" id="judulValidationError">Semua field harus diisi!</label>
        <input type="text" id="judul" name="judul" placeholder="Judul *">
        <input type="text" id="penulis" name="penulis" placeholder="Penulis *">
        <input type="text" id="tahun" name="tahun" placeholder="Tahun Terbit" *><br>
        <label>* = required</label>
        <input type="submit" value="Submit">
    </form>
</footer>
    <script src="script.js"></script>
</html>